# 1 "delta_to_ratio.F"
c =====================================================================
c
c     DOUBLE PRECISION FUNCTION DELTA_TO_RATIO
c 
c     PURPOSE: this function calculates the 13C/12C ratio from the
c                 dC13 value following
c          
c                ratio = rStd * (dC13 * 0.001d0 + 1.d0)
c     VARIABLES:
c 
c     IN : dC13           : delta 13C value [per mil]
c     OUT: delta_to_ratio : 13C/12C ratio [no units]
c 
c     REVISION:
c
c     date     author  remarks
c   
c      1.08.96   ng    first implementation
c
c =====================================================================
c
      double precision function delta_to_ratio(dC13)
c
      implicit none
c
c ---------------------------------------------------------------------
c     global variables
c ---------------------------------------------------------------------
c
# 1 "/usr/local/abies/home/brix/tmp/diag_boxmod_syn/src_ia/incl/c13_params.h" 1
cc=================== include file c13_params.h =============================
c
c parameters for C13 and dC13
c
c REVISIONS:
c
c date     author    remarks
c
c 2.08.96  ng        first implementation
c
c variables:
c
c name          type   description
c---------------------------------------------------------------------------
c
c r_Std          dp  s  C13/C12 ratio of PDB standard
c rstar_Std      dp  s  C13/(C12+C13) ratio of PDB standard
c
c---------------------------------------------------------------------------
c
      double precision r_std,rstar_std
      parameter (r_std = 0.0112372d0, rstar_std = 0.011112328d0)



# 31 "delta_to_ratio.F" 2
c
      double precision dC13
c
c ---------------------------------------------------------------------
c     local variables
c ---------------------------------------------------------------------
c
c
c =====================================================================
c     begin of executable code
c =====================================================================
c
      delta_to_ratio = r_std * (dC13 * 0.001d0 + 1.d0)
c
c --------------------------------------------------------------------
c     return to main program
c --------------------------------------------------------------------
c        
      return
      end

